IT2BE Tools Plugin - Defect #420

On Mac OSX 10.6.8 developer hangs on startup
02/14/2012 10:34 AM - Michel van Klink
Description
When the it2be-tools files are removed from the plugins directory developer starts up again.

History

#1 - 02/15/2012 03:24 PM - Servoy Components

- Status changed from New to Feedback

#2 - 02/15/2012 03:24 PM - Servoy Components

- Status changed from Feedback to In Progress

#3 - 02/15/2012 03:28 PM - Servoy Components

Michel,

Is there anything in the log file.

When | use the same setup | do not see this.

What happens when you delete the .servoy folder in your user folder?
#4 - 02/22/2012 07:41 AM - Michel van Klink

There is nothing in the servoy_log.txt lodfile.

| don't see a .servoy folder in my user folder!?

What | do see is a "application_server\servoy_log.txt" in my Servoy-folder and a "\servoy_log.txt"-file in my application_server-folder. Something to do
with a wrong separator? This last file contains:

java.io.|IOException: Cannot run program
"/Applications/Servoy5/developer/servoy.app/Contents/MacOS/../../../../application_server/\postgres_db\bin\pg_ctl" (in directory
"/Applications/Servoy5/developer/servoy.app/Contents/MacOS)/../../../../application_server"): error=2, No such file or directory

#5 - 02/23/2012 08:06 PM - Servoy Components

But that does not look like an issue from the tools Plug-in.
| tested this again (also with Postgres) and | still see no error.

| fail to see how this can come from the Tools Plug-in and don't know how to solve this. Sorry for that.

#6 - 03/05/2012 12:36 PM - Servoy Components

- Status changed from In Progress to Rejected

#7 - 07/05/2012 04:37 PM - Michel van Klink

This situation still persists.

| took the following steps:

-using the it2be-manager.jar install the tools-plugin
-run servoy developer, it hangs, nothing in the log file

-kill the servoy developer process
-using the it2be-manager.jar uninstall the tools-plugin
-run servoy developer, it starts up!

Mac OS X 10.7.4
Servoy 5.2.13
